Zum Hauptinhalt springen
POST
/
webhooks
/
v3
/
{appId}
/
subscriptions
/
batch
/
update
Event-Abonnements batchweise erstellen
curl --request POST \
  --url https://api.hubapi.com/webhooks/v3/{appId}/subscriptions/batch/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "active": true,
      "id": 12
    }
  ]
}
'
{
  "completedAt": "2020-04-17T02:19:26.283Z",
  "results": [
    {
      "active": true,
      "createdAt": "2019-06-06T16:56:16.652Z",
      "eventType": "contact.propertyChange",
      "id": "1234",
      "propertyName": "firstname",
      "updatedAt": "2019-08-06T16:56:16.652Z"
    },
    {
      "active": false,
      "createdAt": "2019-06-06T16:56:16.652Z",
      "eventType": "contact.create",
      "id": "4567",
      "updatedAt": "2019-08-06T16:56:16.652Z"
    }
  ],
  "startedAt": "2020-04-17T02:19:26.256Z",
  "status": "COMPLETE"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

appId
integer<int32>
erforderlich

Die ID der Ziel-App.

Body

application/json

Updated details for the specified subscriptions.

inputs
object[]
erforderlich

Ein Array von SubscriptionBatchUpdateRequest-Objekten, die jeweils die aktualisierten Einstellungen für ein bestimmtes Webhook-Abonnement im Batch-Vorgang darstellen.

Antwort

successful operation

completedAt
string<date-time>
erforderlich

Der Zeitstempel, wann der Batch-Vorgang abgeschlossen wurde (Format ISO 8601).

results
object[]
erforderlich

Ein Array mit den erfolgreich verarbeiteten Webhook-Abonnements aus dem Batch-Vorgang.

startedAt
string<date-time>
erforderlich

Der Zeitstempel, wann der Batch-Vorgang mit der Verarbeitung begonnen hat (Format ISO 8601).

status
enum<string>
erforderlich

Der Status des Batch-Vorgangs. Zulässige Werte: „PENDING“, „PROCESSING“, „CANCELED“ oder „COMPLETE“.

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Ein Objekt, das URLs für zugehörige Ressourcen oder Vorgänge enthält.

requestedAt
string<date-time>

Der Zeitstempel, wann der Batch-Vorgang angefordert wurde (Format ISO 8601).

Last modified on April 13, 2026